package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.dto.ShopOrderDto;
import com.foreverwin.mesnac.meapi.model.ShopOrder;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-01
 */
public interface ShopOrderService extends IService<ShopOrder> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ShopOrder> selectPage(FrontPage<ShopOrder> frontPage, ShopOrder shopOrder);

    List<ShopOrder> selectList(ShopOrder shopOrder);

    /**
     * 根据handle找到对应的可下达的工单
     * @param shopOrder
     * @return
     */
    ShopOrder findById(String shopOrder,String plannedItemBo);

    ShopOrderDto findByShopOrderBo(String handle);

    List<ShopOrder> findAbnormalShopOrder(ShopOrder shopOrder);


}